Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

OCI Keys APIs

Viewing Synchronization Status

search

Please Note:

Viewing Synchronization Status

Use the get /v1/cckm/oci/synchronization-jobs API to view the list of updated synchronization status. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/oci/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN'  -H 'accept: application/json' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Internal id of the synchronization.
overall_status string Overall status of the synchronization. Possible values are in_progress, completed, and failed.
vaults array of strings ID of the vault where the key is created.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/oci/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxYzU1ZWY0Yi01MThjLTQ5ZmMtODRmMy1mYjk4MGY4YTQ3ODQiLCJzdWIiOiJsb2NhbHwyZjBmZWViNC02MjkwLTQ4ZWQtYmU1Yy0wYmU4NTVkMzE4NzMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiODU3ZDEyYjItNjljZi00OWY1LThkYjktMjI0NWMwODNiODg5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg1NTRhOWJhLTE1OTgtNDE0OC04YWMwLWYwZWJkNjJlMThmOSIsImlhdCI6MTY0Mzg2MzI1MywiZXhwIjoxNjQzODYzNTUzfQ.F6D3QgJLvFY0UyltBn6TfmiET-kExTl7RcvsmYzg550' -H 'accept: application/json' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "45f1c056-ad1f-41b7-bf68-2b2909e51ab9",
            "uri": "kylo:kylo:cckm:synchronize:45f1c056-ad1f-41b7-bf68-2b2909e51ab9",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2022-02-03T04:19:34.327771Z",
            "updatedAt": "2022-02-03T04:20:06.015704Z",
            "completed_at": "2022-02-03T04:20:06.015547Z",
            "overall_status": "completed",
            "detailed_status": {
                "cckmqa-automation/5e9ee2f1-1b90-4b7d-b319-2b0848e78e75": "vault synchronized successfully"
            },
            "cloud": "oci",
            "key_vaults": [
                "5e9ee2f1-1b90-4b7d-b319-2b0848e78e75"
            ],
            "abort": false
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.